/*
 * @Author: sjjh
 * @Date: 2025-09-20 17:02:37
 * @Description: 
 */
import request from '@/utils/request'

// ====== 文书记录
// 新增记录
export function addRecord(data) {
  return request({
    url: '/document/record/addRecord',
    method: 'post',
    data
  })
}
// 根据患者ID或就诊ID获取文书记录列表,只针对不需返回患者具体信息的列表，体温单除外，单独处理

export function getRecordByEncounterIdList(params) {
  return request({
    url: '/document/record/getRecordByEncounterIdList',
    method: 'get',
    params
  })
}
// 初始化文书定义
export function init() {
  return request({
    url: '/document/record/init',
    method: 'get',
  })
}

// ====== 文书模板
// 新增模板
export function addTemplate(data) {
  return request({
    url: '/document/template/add',
    method: 'post',
    data
  })
}
//
export function getListByDefinitionId(definitionId) {
  return request({
    url: '/document/template/getListByDefinitionId',
    method: 'get',
    params: {definitionId}
  })
}
// 更新模板
export function updateTemplate(data) {
  return request({
    url: '/document/template/update',
    method: 'put',
    data
  })
}


